asn1Parser(1)

NAME
asn1Parser - ASN.1 syntax tree generator for libtasn1

SYNOPSIS
asn1Parser [-c, --check] [-o, --out FILE] [-n, --name NAME] [-h, --help] [-v, --version] FILE

DESCRIPTION
Read file with ASN.1 definitions and generate a C array that is used with libtasn1 functions. Mandatory arguments to long options are mandatory for short options too.

OPTIONS

-c, --check
    checks the syntax only

-o, --output iFILE
    output file

-n, --name NAME
    array name

-h, --help
    display this help and exit

-v, --version
    output version information and exit

ATTRIBUTES

See attributes(5) for descriptions of the follwong attributes:
ATTRIBUTE TYPE^ATTRIBUTE VALUE
Availability^SUNWlibtasn1
Interface stability^Volatile

SEE ALSO

libtasn1(3) asn1Coding(1) asn1Decoding(1)